[packages/chromium-browser/dev-28: 3/6] clean-source: attempt to preserve third_party/zlib/google

glen glen at pld-linux.org
Fri May 31 14:16:26 CEST 2013


commit 517dd8ef547f2174936da6fc7b932506d4fc11ab
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Thu May 30 12:15:12 2013 +0300

    clean-source: attempt to preserve third_party/zlib/google

 clean-source.sh | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)
---
diff --git a/clean-source.sh b/clean-source.sh
index 437aa7f..5ae1de6 100755
--- a/clean-source.sh
+++ b/clean-source.sh
@@ -623,8 +623,13 @@ remove_bin_only() {
 
 # removes dir, if the bcond is not turned off
 strip_system_dirs() {
-	local dir lib bcond
+	local dir lib bcond args
+	# prevent "*" from being expanded in $args
+	set -f
 	for dir in "$@"; do
+		args=${dir#* }
+		test "$args" = "$dir" && args=
+		dir=${dir%% *}
 		lib=${dir##*/}
 		bcond=$(eval echo \$$lib)
 		[ "${bcond:-1}" = 0 ] && continue
@@ -632,8 +637,9 @@ strip_system_dirs() {
 		# skip already removed dirs
 		test -d $dir || continue
 
-		find $dir -depth -mindepth 1 \! \( -name '*.gyp' -o -name '*.gypi' -o -path $dir/$lib.h \) -print -delete
+		find $dir -depth -mindepth 1 '!' '(' -name '*.gyp' -o -name '*.gypi' -o -path $dir/$lib.h $args ')' -print -delete || :
 	done
+	set +f
 }
 
 # remove test data and files
@@ -935,7 +941,7 @@ strip_system_dirs \
 	third_party/speex \
 	third_party/sqlite \
 	third_party/yasm \
-	third_party/zlib_ \
+	"third_party/zlib -o -path third_party/zlib/google/*" \
 	v8 \
 > REMOVED-system_dirs.txt
 remove_nonessential_dirs > REMOVED-nonessential_dirs.txt
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/chromium-browser.git/commitdiff/9245150b876ee2d96f57b259ff344071be66224d



More information about the pld-cvs-commit mailing list